commit:     a657effe695c0ef0063ee18694205e01b4fd2d92
Author:     Ulrich Müller <ulm <AT> gentoo <DOT> org>
AuthorDate: Sat Aug 23 16:47:49 2025 +0000
Commit:     Ulrich Müller <ulm <AT> gentoo <DOT> org>
CommitDate: Sat Aug 23 16:48:48 2025 +0000
URL:        https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=a657effe

sci-visualization/gnuplot: Install the pre-built gnuplot.pdf

Closes: https://bugs.gentoo.org/960528
Signed-off-by: Ulrich Müller <ulm <AT> gentoo.org>

 sci-visualization/gnuplot/gnuplot-6.0.3.ebuild | 26 +++++++++++++-------------
 1 file changed, 13 insertions(+), 13 deletions(-)

diff --git a/sci-visualization/gnuplot/gnuplot-6.0.3.ebuild 
b/sci-visualization/gnuplot/gnuplot-6.0.3.ebuild
index a3c0e518034f..f8e95ce628ac 100644
--- a/sci-visualization/gnuplot/gnuplot-6.0.3.ebuild
+++ b/sci-visualization/gnuplot/gnuplot-6.0.3.ebuild
@@ -29,9 +29,7 @@ LICENSE="gnuplot"
 SLOT="0"
 IUSE="amos aqua bitmap cairo doc examples +gd gpic latex libcaca libcerf lua 
metafont metapost qt6 readline regis tgif wxwidgets X"
 
-REQUIRED_USE="
-       doc? ( gd )
-       lua? ( ${LUA_REQUIRED_USE} )"
+REQUIRED_USE="lua? ( ${LUA_REQUIRED_USE} )"
 
 RDEPEND="
        amos? ( dev-libs/openspecfun )
@@ -161,16 +159,18 @@ src_compile() {
 
        emake all
 
-       if use doc; then
-               if use cairo; then
-                       emake -C docs pdf
-               else
-                       ewarn "Cannot build figures unless cairo is enabled."
-                       ewarn "Building documentation without figures."
-                       emake -C docs pdf_nofig
-                       mv docs/nofigures.pdf docs/gnuplot.pdf || die
-               fi
-       fi
+       # Building the documentation is broken for some configurations.
+       # Install the pre-built gnuplot.pdf instead. #577828 #689894 #960528
+       #if use doc; then
+       #       if use cairo; then
+       #               emake -C docs pdf
+       #       else
+       #               ewarn "Cannot build figures unless cairo is enabled."
+       #               ewarn "Building documentation without figures."
+       #               emake -C docs pdf_nofig
+       #               mv docs/nofigures.pdf docs/gnuplot.pdf || die
+       #       fi
+       #fi
 }
 
 src_install() {

Reply via email to